/*
 * DOGM_SPI.h
 * die hardwareabhngigen Teile des LCD-Interface fr ein zweizeiliges Display on Glas
 * DOGM162L-A, das per 4-wire SPI angesteuert wird und mit 3,3V betrieben wird
 *
 *  Created on: 22.05.2014
 *      Author: DL9MWE
 */

#ifndef DOGM_SPI_H_
#define DOGM_SPI_H_

// Portbelegung fr DOGM-SPI-Interface; alle Display-Pins am selben MSP-Port!
#define	PORTDOGM_DIR	P2DIR
#define PORTDOGM_SEL	P2SEL
#define PORTDOGM_SEL2	P2SEL2
#define PORTDOGM_OUT	P2OUT
#define DOGM162_RS		BIT0	// P2.0 => DOGM (39)
#define DOGM162_CLK		BIT1	// P2.1 => DOGM (29)
#define DOGM162_SI		BIT2	// P2.2 => DOGM (28)
#define DOGM162_CSB		BIT3	// P2.3 => DOGM (38)

//		---- extern verwendete Funktionen ----
void vLCD_init(void);
void vLCD_clear(void);
// Achtung: die aktuelle Zeichenposition wird nicht geprft!
// Ein Zeilenberlauf wird daher nicht erkannt.
void vLCD_gotoxy(unsigned char ucX, unsigned char ucY);
void vLCD_putc(unsigned char cc);
void vLCD_puts(char* ss);
void vLCD_putui(unsigned int ui);
void vLCD_puti(int i);


#endif /* DOGM_SPI_H_ */
